List environments
curl --request GET \
--url https://management-api.fpjs.io/environments \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Version: <x-api-version>'import requests
url = "https://management-api.fpjs.io/environments"
headers = {
"X-API-Version": "<x-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Version': '<x-api-version>', Authorization: 'Bearer <token>'}
};
fetch('https://management-api.fpjs.io/environments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "ae_rrETjdWcfqI6AFsk",
"name": "Default environment",
"is_restricted": false,
"created_at": "2024-05-31T01:24:39.506Z",
"updated_at": "2024-05-31T01:24:39.506Z",
"description": "Production environment",
"limit_value": 100000,
"restricted_at": "2024-05-31T01:24:39.506Z"
}
],
"metadata": {
"pagination": {
"next_cursor": "eyJrZXlzIjpbImlkIl0sInZhbHVlcyI6WyJhZV9JRVdWQVhrQURyN3BiNFYzI",
"prev_cursor": null
}
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}environments
List environments
Lists all environments for the workspace associated with the Management API key.
GET
/
environments
List environments
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Management API version.
Query Parameters
Cursor token used for pagination. Response will contain items appearing after the given cursor.
Sets the maximum number of items contained in a single page.
Required range:
0 <= x <= 101Was this page helpful?
⌘I